"""
Creates main folder structure for the rig and stores data in variables
"""

import maya.cmds as cmds
from rigging_framework import global_variables as gvar

existing_folders = [a for a in cmds.ls(assemblies=True) if a not in ["persp", "top", "side", "front"]]

grp_control_rig = cmds.createNode("transform", name="Control_Rig")

for folder in reversed(existing_folders):
    cmds.parent(folder, grp_control_rig)

grp_rig_ctrls = cmds.createNode("transform", name="Controls_Grp")
grp_rig_gizmos = cmds.createNode("transform", name="Gizmos_Grp")
grp_do_not_touch = cmds.createNode("transform", name="Do_Not_Touch_Grp")

cmds.setAttr("{0}.useOutlinerColor".format(grp_do_not_touch), True)
cmds.setAttr("{0}.outlinerColor".format(grp_do_not_touch), 1, 0, 0)

cmds.parent(grp_rig_ctrls, grp_rig_gizmos, grp_do_not_touch, grp_control_rig)

gvar.set('Control_Rig', grp_control_rig)
gvar.set('Controls_Grp', grp_rig_ctrls)
gvar.set('Gizmos_Grp', grp_rig_gizmos)
gvar.set('Do_Not_Touch_Grp', grp_do_not_touch)
gvar.set('Skeleton_Grp', "Skeleton_Grp")
gvar.set('Geometry_Grp', "Geometry_Grp")
