import maya.cmds as cmds

from rigging_framework import global_variables as gvar
from rigging_framework.templates.common.utilities import constraints

skeleton_grp = gvar.get("Skeleton_Grp")
rig_skeleton_grp = gvar.get("Rig_Skeleton_Grp")

reference = cmds.listRelatives(skeleton_grp, children=True, type="transform")[0]
rig_reference = cmds.listRelatives(rig_skeleton_grp, children=True, type="transform")[0]

for attr in ["t", "r", "s"]:
    cmds.connectAttr(rig_reference + ".{0}".format(attr), reference + ".{0}".format(attr))

# constraint all the joints as they were mapped:
constraints.build_constraints(flush_data=False, use_mapping_file=True)
