import os

from rigging_framework import global_variables as gvar
from rigging_framework.templates.common.utilities import skin_clusters

# getting parameters
args = gvar.get_step_arguments()

# can load up to 10 different weight files:
for i in range(11):
    if "geometry{0}".format(i) in args and "weights_file{0}".format(i) in args:
        geometry = args["geometry{0}".format(i)]
        weights_file = args["weights_file{0}".format(i)]

        # get the weight file path:
        weights_file = os.path.join(gvar.get("data_folder"), weights_file)

        skin_clusters.import_weights_from_file(geometry, weights_file)
