import maya.cmds as cmds

from rigging_framework.templates.common.utilities import constraints
from rigging_framework import global_variables as gvar

# getting parameters
args = gvar.get_step_arguments()
root_joint = args["root_joint"]

# we want to list rig joints, because some of them might have been skipped:
all_joints = [root_joint + "_RIG"] + cmds.listRelatives(root_joint + "_RIG", allDescendents=True)
all_joints = [x for x in all_joints if cmds.nodeType(x) == "joint" and "Twister" not in x]  # TODO: could be done better
all_joints = [x.replace("_RIG", "") for x in all_joints]  # removing the rig suffix here

# map all the joints from rig skeleton to skinning skeleton
for joint in all_joints:
    constraints.parent_constraint(joint + "_RIG", joint, maintain_offset=True, use_mapping_file=True)
    constraints.scale_constraint(joint + "_RIG", joint, maintain_offset=True, use_mapping_file=True)