"""
mirrors pivot from Left to Right across x axis
"""

import maya.cmds as cmds
from rigging_framework import global_variables as gvar

# getting parameters
args = gvar.get_step_arguments()
pivots_grp = args["pivots_folder"]

mirror_axis = args["mirror_axis"].lower()

for pivot in cmds.listRelatives(pivots_grp, children=True, shapes=False):
    mirrored_pivot = cmds.duplicate(pivot, name=pivot.replace("Left", "Right"))
    position = cmds.xform(mirrored_pivot, query=True, rotatePivot=True, worldSpace=True, absolute=True)

    mirrored_position = (position[0], position[1], position[2])
    if mirror_axis == "yz" or mirror_axis == "zy":
        mirrored_position = (-position[0], position[1], position[2])
    elif mirror_axis == "xy" or mirror_axis == "yx":
        mirrored_position = (position[0], position[1], -position[2])

    cmds.xform(mirrored_pivot, translation=mirrored_position, worldSpace=True, absolute=True)
