"""
Mirrors rig skeleton to the other side
"""

import maya.cmds as cmds
from rigging_framework import global_variables as gvar

# getting parameters
args = gvar.get_step_arguments()
mirror_joints = args["mirror_joints"].split(",")
mirror_axis = args["mirror_axis"]

mirror_yz = True
mirror_xy = False
if mirror_axis.lower() == "xy":
    mirror_yz = False
    mirror_xy = True


# mirror character:
for jnt in mirror_joints:
    cmds.select(jnt)
    cmds.mirrorJoint(mirrorYZ=mirror_yz, mirrorXY=mirror_xy, mirrorBehavior=True, searchReplace=["Left", "Right"])
    cmds.select(clear=True)
