import os

import maya.cmds as cmds

from rigging_framework import global_variables as gvar
from rigging_framework.templates.common.utilities import shapes

# getting parameters
args = gvar.get_step_arguments()
shapes_file = args["filename"]

# get the weight file path:
shapes_file = os.path.join(gvar.get("data_folder"), shapes_file)

# make sure selection is clear so it can update all shapes in the scene:
cmds.select(cl=True)

# load all control shapes from file:
shapes.import_shapes_from_file(shapes_file)

"""
# This is an example how you can export shapes from your rig scene:

import os

import maya.cmds as cmds

from rigging_framework.templates.common.utilities import shapes

shapes_file = r"C:\Work\Python\jz_autorigger_obf\rigging_framework\templates\humanoid_rig\data\Control_Shapes.shp"

# load all control shapes from file:
shapes.export_shapes_to_file(transform_list=cmds.ls("*_Ctrl"), shapes_file=shapes_file)
"""