import sys

import maya.cmds as cmds

import rigging_framework.templates.common.utilities.rigging_math as r_math

cmds.select(cl=True)

for side in "l", "r":

    # skip if joint already exists:
    if cmds.objExists("ball_end_{}".format(side)):
        continue

    ball_jnt = "ball_{}".format(side)
    ankle_jnt = cmds.listRelatives(ball_jnt, parent=True)[0]

    ball_end_jnt = cmds.createNode("joint", name="ball_end_{}".format(side))
    cmds.matchTransform(ball_end_jnt, ball_jnt)

    dist = r_math.get_distance_between_objects(ball_jnt, ankle_jnt) / 3.0
    dist = dist if side == "l" else -dist

    cmds.move(dist, 0, 0, ball_end_jnt, r=True, os=True)

    cmds.parent(ball_end_jnt, ball_jnt)

sys.stdout.write("Ball joints added!")
