import rigging_framework.templates.humanoid_rig.modules.ikfk_foot_rig as ikfk_foot_rig
import rigging_framework.templates.humanoid_rig.modules.ikfk_spine as ikfk_spine
import rigging_framework.templates.humanoid_rig.modules.ikfk_limb as ikfk_limb
import rigging_framework.templates.common.utilities.rigging_math as r_math
import pprint

scale = r_math.get_distance_between_objects("foot_l", "ball_l")

for side in "Left", "Right":
    suffix = side[0].lower()

    ikfk_foot_rig_data = ikfk_limb.get_data_for_module(scene_name=f"{side}_Leg")

    mirror_foot = False if side == "Left" else True

    ikfk_foot_rig.build(name=f"{side}_Foot",
                        ikfk_switch_control=ikfk_foot_rig_data["ik_fk_switch_ctrl"],
                        ikfk_switch_attr=ikfk_foot_rig_data["ik_fk_switch_attr"],
                        leg_ik=ikfk_foot_rig_data["main_ik_loc"],
                        ik_ankle_bone=ikfk_foot_rig_data["ik_end_bone"],
                        fk_ankle_bone=ikfk_foot_rig_data["fk_end_bone"],
                        toe_base_bone=f"ball_{suffix}",
                        toes_end_bone=f"ball_end_{suffix}",
                        toe_pivot=f"{side}_Toe_Pivot_Adjust",
                        rear_pivot=f"{side}_Rear_Pivot_Adjust",
                        out_pivot=f"{side}_Out_Pivot_Adjust",
                        in_pivot=f"{side}_In_Pivot_Adjust",
                        ball_pivot=f"{side}_Ball_Pivot_Adjust",
                        spin_pivot=f"{side}_Spin_Pivot_Adjust",
                        scale=scale, aim_vector=(0, -1, 0), mirror_foot=mirror_foot,
                        up_vector=(0, 0, 1), virtual_constraints=False)