import rigging_framework.templates.humanoid_rig.modules.hand_rig as hand_rig
import rigging_framework.templates.humanoid_rig.modules.ikfk_spine as ikfk_spine
import rigging_framework.templates.humanoid_rig.modules.ikfk_limb as ikfk_limb
import rigging_framework.templates.common.utilities.rigging_math as r_math


scale = r_math.get_distance_between_objects("index_01_l", "pinky_01_l")

ikfk_spine_data = ikfk_spine.get_data_for_module(module_type="hand_rig", scene_name="Spine")

for side in "Left", "Right":
    ikfk_arm_data = ikfk_limb.get_data_for_module(scene_name="{}_Arm".format(side))

    suffix = side[0].lower()
    thumb_joints = [f"thumb_01_{suffix}", f"thumb_02_{suffix}", f"thumb_03_{suffix}"]
    index_joints = [f"index_01_{suffix}", f"index_02_{suffix}", f"index_03_{suffix}"]
    middle_joints = [f"middle_01_{suffix}", f"middle_02_{suffix}", f"middle_03_{suffix}"]
    ring_joints = [f"ring_01_{suffix}", f"ring_02_{suffix}", f"ring_03_{suffix}"]
    pinky_joints = [f"pinky_01_{suffix}", f"pinky_02_{suffix}", f"pinky_03_{suffix}"]

    hand_rig.build(name="{}_Hand".format(side),
                   cog_ctrl=ikfk_spine_data["cog_control"],
                   ikfk_switch_ctrl=ikfk_arm_data["ik_fk_switch_ctrl"],
                   ik_main_node=ikfk_arm_data["main_ik_loc"],
                   hand_joint=f"hand_{suffix}",
                   thumb_joints=thumb_joints,
                   index_joints=index_joints,
                   middle_joints=middle_joints,
                   ring_joints=ring_joints,
                   pinky_joints=pinky_joints,
                   scale=scale)