import rigging_framework.templates.humanoid_rig.modules.hips_rig as hips_rig
import rigging_framework.templates.humanoid_rig.modules.ikfk_spine as ikfk_spine
import rigging_framework.templates.humanoid_rig.modules.ikfk_limb as ikfk_limb
import rigging_framework.templates.common.utilities.rigging_math as r_math


scale = r_math.get_distance_between_objects("thigh_l", "thigh_r")

ikfk_spine_data = ikfk_spine.get_data_for_module(module_type="shoulder_rig", scene_name="Spine")
left_ik_leg_data = ikfk_limb.get_data_for_module(scene_name="Left_Leg")
right_ik_leg_data = ikfk_limb.get_data_for_module(scene_name="Right_Leg")

hips_rig.build(name="Hips_Rig",
               pelvis_jnt="pelvis",

               left_hip_jnt=left_ik_leg_data["start_bone"],
               left_ik_hip_joint=left_ik_leg_data["ik_start_bone"],
               left_hip_control_fk_grp=left_ik_leg_data["fk_start_ctrl_grp"],
               left_leg_ikfk_switch=left_ik_leg_data["ik_fk_switch_ctrl"],
               left_ankle_jnt=left_ik_leg_data["end_bone"],

               right_hip_jnt=right_ik_leg_data["start_bone"],
               right_ik_hip_joint=right_ik_leg_data["ik_start_bone"],
               right_hip_control_fk_grp=right_ik_leg_data["fk_start_ctrl_grp"],
               right_leg_ikfk_switch=right_ik_leg_data["ik_fk_switch_ctrl"],
               right_ankle_jnt=right_ik_leg_data["end_bone"],

               cog_ctrl=ikfk_spine_data["cog_control"], scale=scale)