import rigging_framework.templates.humanoid_rig.modules.ikfk_limb as ikfk_limb
import rigging_framework.templates.common.utilities.rigging_math as r_math


limbs_data = [
    dict(name="Left_Arm", start_joint="upperarm_l", mid_joint="lowerarm_l", end_joint="hand_l"),
    dict(name="Right_Arm", start_joint="upperarm_r", mid_joint="lowerarm_r", end_joint="hand_r"),
    dict(name="Left_Leg", start_joint="thigh_l", mid_joint="calf_l", end_joint="foot_l"),
    dict(name="Right_Leg", start_joint="thigh_r", mid_joint="calf_r", end_joint="foot_r")
]

scale = r_math.get_distance_between_objects("hand_l", "thumb_01_l")

for limb_dict in limbs_data:
    data = ikfk_limb.build(
        name=limb_dict["name"],
        start_joint=limb_dict["start_joint"], mid_joint=limb_dict["mid_joint"], end_joint=limb_dict["end_joint"],
        scale=scale, pole_vector_distance=scale / 5.0,
        virtual_constraints=False,
        name_or_none=limb_dict["name"]
    )