import rigging_framework.templates.humanoid_rig.modules.shoulder_rig as shoulder_rig
import rigging_framework.templates.humanoid_rig.modules.ikfk_spine as ikfk_spine
import rigging_framework.templates.humanoid_rig.modules.ikfk_limb as ikfk_limb
import rigging_framework.templates.common.utilities.rigging_math as r_math


scale = r_math.get_distance_between_objects("clavicle_l", "upperarm_l")

ikfk_spine_data = ikfk_spine.get_data_for_module(module_type="shoulder_rig", scene_name="Spine")

for side in "Left", "Right":
    ikfk_arm_data = ikfk_limb.get_data_for_module(scene_name=f"{side}_Arm")

    shoulder_rig.build(name=f"{side}_Shoulder",
                       cog_ctrl=ikfk_spine_data["cog_control"],
                       chest_joint=ikfk_spine_data["chest_joint"],
                       shoulder_joint=f"clavicle_{side[0].lower()}",
                       ik_arm_joint=ikfk_arm_data["ik_start_bone"],
                       arm_fk_ctrl_grp=ikfk_arm_data["fk_start_ctrl_grp"],
                       scale=scale)