from collections import OrderedDict

from rigging_framework.templates.common.utilities import space_switching


spaces_data = {
     "Left_Hand_Ik_Ctrl|All": ["Left_Shoulder_Main_Ctrl", "spine_03", "Spine_Ik_COG_Ctrl", "Global_Ctrl"],
     "Left_Arm_Vector_IK_Ctrl|All": ["Left_Hand_Ik_Ctrl", "Left_Shoulder_Main_Ctrl", "spine_03", "Spine_Ik_COG_Ctrl", "Global_Ctrl"],
     "Left_Foot_Ik_FR_IK_Foot_Ctrl|All": ["Spine_Ik_COG_Ctrl", "Global_Ctrl"],
     "Left_Leg_Vector_IK_Ctrl|All": ["Left_Foot_Ik_FR_IK_Foot_Ctrl", "Spine_Ik_COG_Ctrl", "Global_Ctrl"],
     "Right_Hand_Ik_Ctrl|All": ["Right_Shoulder_Main_Ctrl", "spine_03", "Spine_Ik_COG_Ctrl", "Global_Ctrl"],
     "Right_Arm_Vector_IK_Ctrl|All": ["Right_Hand_Ik_Ctrl", "Right_Shoulder_Main_Ctrl", "spine_03", "Spine_Ik_COG_Ctrl", "Global_Ctrl"],
     "Right_Foot_Ik_FR_IK_Foot_Ctrl|All": ["Spine_Ik_COG_Ctrl", "Global_Ctrl"],
     "Right_Leg_Vector_IK_Ctrl|All": ["Right_Foot_Ik_FR_IK_Foot_Ctrl", "Spine_Ik_COG_Ctrl", "Global_Ctrl"]
}

aliases_data = {
     "Left_Shoulder_Shoulder_Ctrl": "Left Shoulder",
     "Global_Ctrl": "Global Control",
     "Left_Hand_Ik_Ctrl": "Left Hand IK",
     "Right_Hand_Ik_Ctrl": "Right Hand IK",
     "Right_Foot_Ik_Foot_Rig_IK_Foot_Ctrl": "Right Foot IK",
     "spine_03": "Chest",
     "Spine_Ik_COG_Ctrl": "COG",
     "Right_Shoulder_Shoulder_Ctrl": "Right Shoulder",
     "Left_Foot_Ik_Foot_Rig_IK_Foot_Ctrl": "Left Foot IK",
     "Left_Shoulder_Main_Ctrl": "Left Shoulder",
     "Left_Foot_Ik_FR_IK_Foot_Ctrl": "Left Foot IK",
     "Right_Shoulder_Main_Ctrl": "Right Shoulder",
     "Right_Foot_Ik_FR_IK_Foot_Ctrl": "Right Foot IK"
}


for switching_info, spaces in spaces_data.items():
    switching_obj = switching_info.split('|')[0]
    switch_mode = switching_info.split('|')[-1]

    switching_obj_grp = cmds.listRelatives(switching_obj, parent=True)[0]

    if switch_mode == "All":
        switch_mode = "default"
        attribute_name = "space"
    elif switch_mode == "Rotation:":
        switch_mode = "rotation"
        attribute_name = "rotation_space"
    else:
        switch_mode = "position"
        attribute_name = "translation_space"

    aliased_spaces = []

    for space in spaces:
        aliased_spaces.append(aliases_data[space])

    space_dictionary = OrderedDict()

    for space, aliased_space in zip(aliased_spaces, spaces):
        space_dictionary[aliased_space] = space

    space_switching.build_space_switching(switching_obj, space_dictionary=space_dictionary,
                                          control_group=switching_obj_grp, attribute_name=attribute_name,
                                          space_type=switch_mode, default_index=len(spaces)-1)