import maya.cmds as cmds
import sys

ik_joints_map = {
    "ik_hand_l": "hand_l",
    "ik_hand_r": "hand_r",
    "ik_hand_gun": "hand_r",
    "ik_foot_l": "foot_l",
    "ik_foot_r": "foot_r"
}

for ik_joint, joint in ik_joints_map.items():
    cmds.pointConstraint(joint, ik_joint)
    cmds.orientConstraint(joint, ik_joint)
    cmds.scaleConstraint(joint, ik_joint)

sys.stdout.write("IK joints constrained!")
