import os
import json

import maya.cmds as cmds

import rigging_framework.log as log
import rigging_framework.templates.common.utilities.file_dialogs as file_dialogs
import rigging_framework.templates.common.utilities.utils as utils
from rigging_framework import global_variables as gvar


# get the script folder:
cwd = os.path.dirname(os.path.realpath(__file__))
skeleton_file = os.path.join(cwd, r"templates\humanoid_rig\data\Foot_Pivots.ma")

utils.import_and_add_prefix(skeleton_file, "")

for x in cmds.ls("_*"):
    if cmds.objExists(x):
        cmds.rename(x, x[1:])

log.warning("Successfully imported skeleton into scene!")
