import maya.cmds as cmds

import rigging_framework.templates.common.utilities.transform
from rigging_framework.templates.quadruped_rig.modules import front_ikfk_leg
from rigging_framework import global_variables as gvar

import imp
imp.reload(front_ikfk_leg)

global_scale = gvar.get("global_scale")
do_not_touch_grp = gvar.get("Do_Not_Touch_Grp")
gizmos_grp = gvar.get("Gizmos_Grp")
scaling_ctrls_grp = gvar.get("Scaling_Controls_Grp")
global_ctrl = gvar.get("Global_Ctrl")
rig_orientation = gvar.get("rig_orientation")


for side in "Left", "Right":
    front_ikfk_leg_data = front_ikfk_leg.build("{}_Front_Leg".format(side), "{}_Shoulder_Jnt_RIG".format(side),
                                               "{}_Front_Upper_Knee_Jnt_RIG".format(side),
                                               "{}_Front_Lower_Knee_Jnt_RIG".format(side),
                                               "{}_Front_Ankle_Jnt_RIG".format(side), global_scale,
                                               rig_orientation)

    cmds.parent(front_ikfk_leg_data["Do_Not_Touch_Grp"], do_not_touch_grp)
    cmds.parent(front_ikfk_leg_data["Gizmos_Grp"], gizmos_grp)
    cmds.parent(front_ikfk_leg_data["Controls_Grp"], scaling_ctrls_grp)

    cmds.connectAttr(global_ctrl + ".global_scale", front_ikfk_leg_data["Main_Node"] + ".global_scale")

    gvar.set("{0}_Front_Leg_Controls".format(side), front_ikfk_leg_data["Controls"])
    gvar.set("{0}_Front_Leg_Main_Node".format(side), front_ikfk_leg_data["Main_Node"])
    gvar.set("{0}_Front_Leg_IKFK_Switch_Ctrl".format(side), front_ikfk_leg_data["IKFK_Switch_Ctrl"])

    # making sure shoulder controls follow chest joint:
    chest_joint = rigging_framework.templates.common.utilities.transform.get_parent("{}_Shoulder_Jnt_RIG".format(side))
    cmds.parentConstraint(chest_joint, front_ikfk_leg_data["Controls_Grp"], maintainOffset=True)
