import maya.cmds as cmds

from rigging_framework.templates.quadruped_rig.modules import quad_neck_and_head
from rigging_framework import global_variables as gvar

import imp
imp.reload(quad_neck_and_head)

global_scale = gvar.get("global_scale")
do_not_touch_grp = gvar.get("Do_Not_Touch_Grp")
gizmos_grp = gvar.get("Gizmos_Grp")
scaling_ctrls_grp = gvar.get("Scaling_Controls_Grp")
global_ctrl = gvar.get("Global_Ctrl")
rig_orientation = gvar.get("rig_orientation")

neck_joints = ["Neck_01_Jnt_RIG", "Neck_02_Jnt_RIG", "Neck_03_Jnt_RIG", "Neck_04_Jnt_RIG", "Head_Jnt_RIG"]

neck_and_head_data = quad_neck_and_head.build("Ik_Neck", neck_joints, scale=global_scale, orientation=rig_orientation)

# parent do not touch where they should be:
cmds.parent(neck_and_head_data["Do_Not_Touch_Grp"], do_not_touch_grp)

# parent neck controllers under global control:
cmds.parent(neck_and_head_data["Controls_Grp"], global_ctrl)

# parent constraint neck controllers to the chest joint
chest_joint = cmds.listRelatives(neck_joints[0], parent=True)[0]
cmds.parentConstraint(chest_joint, neck_and_head_data["Controls_Grp"], maintainOffset=True)

# hook up scaling for some elements needing it:
for scaling_group in neck_and_head_data["Scaling_Groups"]:
    cmds.scaleConstraint(global_ctrl, scaling_group)

# we need to save neck controls to global variables:
gvar.set("Neck_Controls", neck_and_head_data["Controls"])
gvar.set("Neck_Main_Node", neck_and_head_data["Main_Node"])
gvar.set("Head_Ctrl", neck_and_head_data["Controls"][2])
