import maya.cmds as cmds

from rigging_framework.templates.quadruped_rig.modules import quad_ikfk_spine
from rigging_framework import global_variables as gvar

import imp
imp.reload(quad_ikfk_spine)

global_scale = gvar.get("global_scale")
do_not_touch_grp = gvar.get("Do_Not_Touch_Grp")
gizmos_grp = gvar.get("Gizmos_Grp")
scaling_ctrls_grp = gvar.get("Scaling_Controls_Grp")
global_ctrl = gvar.get("Global_Ctrl")
rig_orientation = gvar.get("rig_orientation")

spine_joints = ["Hips_Jnt_RIG", "Spine_01_Jnt_RIG", "Spine_02_Jnt_RIG", "Spine_03_Jnt_RIG", "Spine_04_Jnt_RIG",
                "Spine_05_Jnt_RIG"]

spine_data = quad_ikfk_spine.build("IkFk_Spine", spine_joints, scale=global_scale, orientation=rig_orientation,
                                   skip_joints_missing_str=("Hips", "Spine"))

# parent controls and do not touch where they should be:
cmds.parent(spine_data["Do_Not_Touch_Grp"], do_not_touch_grp)
cmds.parent(spine_data["Controls_Grp"], global_ctrl)

# hook up scaling for some elements needing it:
for scaling_group in spine_data["Scaling_Groups"]:
    cmds.scaleConstraint(global_ctrl, scaling_group)

gvar.set("COG_Ctrl", spine_data["Main_Node"])
