import maya.cmds as cmds

import rigging_framework.templates.common.utilities.transform as trans_mod
from rigging_framework.templates.quadruped_rig.modules import ikfk_tail_rig
from rigging_framework.templates.common.utilities import constraints as cnst
from rigging_framework import global_variables as gvar

import imp

imp.reload(ikfk_tail_rig)

global_scale = gvar.get("global_scale")
orientation = gvar.get("rig_orientation")
do_not_touch_grp = gvar.get("Do_Not_Touch_Grp")
gizmos_grp = gvar.get("Gizmos_Grp")
scaling_ctrls_grp = gvar.get("Scaling_Controls_Grp")
global_ctrl = gvar.get("Global_Ctrl")

hips_joint = "Hips_Jnt_RIG"

tail_joints = ["Tail_01_Jnt_RIG"] + list(reversed(cmds.listRelatives("Tail_01_Jnt_RIG", allDescendents=True)))

cnst.initialize_constraints()

ikfk_tail_data = ikfk_tail_rig.build("Tail", tail_joints, orientation, global_scale, virtual_constraints=False)

ikfk_tail_main_node = ikfk_tail_data["Main_Node"]
main_fk_control_grp = trans_mod.get_parent(
    trans_mod.get_parent(ikfk_tail_main_node))

# put do not touch in the right place:
cmds.parent(ikfk_tail_data["Do_Not_Touch_Grp"], do_not_touch_grp)
cmds.parent(ikfk_tail_data["Controls_Grp"], scaling_ctrls_grp)
cnst.scale_constraint(global_ctrl, ikfk_tail_data["Scaling_Grp"])

# connect tail rig to the hips joint in the rig:
cnst.parent_constraint(hips_joint, main_fk_control_grp, maintain_offset=True)

cnst.build_constraints()

cmds.delete("Tail_Module_Group")