import maya.cmds as cmds

from rigging_framework import global_variables as gvar
from rigging_framework.templates.common.utilities import rig_controls
from rigging_framework.templates.common.utilities import transform as trans_mod
from rigging_framework.templates.common.utilities import constraints

global_scale = gvar.get("global_scale")
do_not_touch_grp = gvar.get("Do_Not_Touch_Grp")
gizmos_grp = gvar.get("Gizmos_Grp")
controls_grp = gvar.get("Controls_Grp")
scaling_ctrls_grp = gvar.get("Scaling_Controls_Grp")
global_ctrl = gvar.get("Global_Ctrl")
rig_orientation = gvar.get("rig_orientation")


for side in "Left_Front", "Left_Rear", "Right_Rear", "Right_Front":
    foot_rig_jnt = "{0}_Ankle_Jnt_RIG".format(side)
    foot_jnt = "{0}_Ankle_Jnt".format(side)
    foot_parent = cmds.listRelatives(foot_rig_jnt, parent=True)[0]

    foot_pos = cmds.xform(foot_rig_jnt, query=True, translation=True, worldSpace=True)
    foot_rot = cmds.xform(foot_rig_jnt, query=True, rotation=True, worldSpace=True)

    foot_ctrl = rig_controls.make_control("circle_X", name=foot_jnt + "_Offset_Ctrl", color="teal",
                                          position=foot_pos, rotation=foot_rot,
                                          scale=(global_scale * 0.5, global_scale * 0.5, global_scale * 0.5))

    foot_ctrl_grp = trans_mod.make_space_for(foot_ctrl)
    cmds.parent(foot_ctrl_grp, controls_grp)
    cmds.connectAttr(global_ctrl + ".extra_controls", foot_ctrl_grp + ".visibility")

    cmds.parentConstraint(foot_rig_jnt, foot_ctrl_grp, maintainOffset=True)
    cmds.scaleConstraint(foot_rig_jnt, foot_ctrl_grp, maintainOffset=True)

    constraints.parent_constraint(foot_ctrl, foot_jnt, maintain_offset=True, use_mapping_file=True)
    constraints.scale_constraint(foot_ctrl, foot_jnt, maintain_offset=True, use_mapping_file=True)
