import maya.cmds as cmds

from rigging_framework import global_variables as gvar
from rigging_framework.templates.common.utilities import rig_controls
from rigging_framework.templates.common.utilities import transform as trans_mod
from rigging_framework.templates.common.utilities import rigging_math


global_scale = gvar.get("global_scale")
do_not_touch_grp = gvar.get("Do_Not_Touch_Grp")
gizmos_grp = gvar.get("Gizmos_Grp")
scaling_ctrls_grp = gvar.get("Scaling_Controls_Grp")
global_ctrl = gvar.get("Global_Ctrl")

head_control = gvar.get("Head_Ctrl")


jaw_joint = "Jaw_Pivot_Jnt_RIG"
jaw_ctrl = rig_controls.make_control(control_type="circle_Y", size=1.0, name="Jaw_Ctrl", color="yellow")

cmds.delete(cmds.parentConstraint(jaw_joint, jaw_ctrl))
jaw_ctrl_grp = trans_mod.make_space_for(jaw_ctrl)

cmds.parent(jaw_ctrl_grp, head_control)

# now constraint jaw joint to jaw control:
cmds.parentConstraint(jaw_ctrl, jaw_joint)

# now reshape global control to fit it with the joints
jaw_length = rigging_math.get_distance_between_objects(jaw_joint, cmds.listRelatives(jaw_joint, children=True)[0])
cmds.scale(jaw_length, 1, 1, jaw_ctrl)
cmds.makeIdentity(jaw_ctrl, apply=True)

cmds.select(jaw_ctrl+".cv[1:5]")
cmds.scale(0, 1, 1, objectCenterPivot=True, relative=True)
