import maya.cmds as cmds

from rigging_framework import global_variables as gvar

skeleton_grp = gvar.get("Skeleton_Grp")

reference = cmds.listRelatives(skeleton_grp, children=True, type="transform")[0]

# those joints have twisters so we dont want them skinned
no_skin_joints = ["Left_Hip_Jnt", "Right_Hip_Jnt"]

# get list of all joints and subtract the ones we dont want skinned:
skinning_joints = cmds.listRelatives(reference, allDescendents=True, type="joint")
skinning_joints = list(set(skinning_joints) - set(no_skin_joints))
skinning_joints = [x for x in skinning_joints if not x.endswith("End_Jnt")]  # skip end joints

# now create a quick selection set out of skinning joints:
cmds.sets(skinning_joints, name="QSS_Binding_Joints")
