"""
imports rig template into the scene
"""

import os
import maya.cmds as cmds

from rigging_framework import log
from rigging_framework.templates.common.utilities import utils as utils
from rigging_framework import global_variables as gvar

# this gets a path to a file in data folder of this template
path_to_file = os.path.join(gvar.get("data_folder"), "template_horse.ma")

utils.import_and_add_prefix(path_to_file, "")

for x in cmds.ls("_*"):
    if cmds.objExists(x):
        cmds.rename(x, x[1:])

log.warning("Successfully imported quadruped autorig template into scene!")
