import maya.cmds as cmds

cmds.file(newFile=True)
cmds.loadPlugin("matrixNodes.mll")

# Set the time unit to "frames"
cmds.currentUnit(time='film')

# Set the playback frame rate to 30fps
cmds.playbackOptions(playbackSpeed=1, framesPerSecond=30)

# Set the scene to use Z-up orientation
cmds.upAxis(axis='y')

cmds.refresh()

# Reset camera
cmds.viewSet(home=True)